public inbox for elfutils@sourceware.org
 help / color / mirror / Atom feed
From: Aaron Merey <amerey@redhat.com>
To: elfutils-devel@sourceware.org
Cc: Aaron Merey <amerey@redhat.com>
Subject: [COMMITTED] tests/run-getsrc-die.sh: Skip tests if objcopy fails
Date: Thu, 29 Feb 2024 23:13:44 -0500	[thread overview]
Message-ID: <20240301041344.153389-1-amerey@redhat.com> (raw)

run-getsrc-die.sh uses objcopy to remove .debug_aranges from testfiles.
Depending how objcopy is built, it may fail to recognize the format of
the testfiles.  Skip the remaining tests if objcopy fails.

Signed-off-by: Aaron Merey <amerey@redhat.com>
---
 tests/run-getsrc-die.sh | 36 ++++++++++++++++++++----------------
 1 file changed, 20 insertions(+), 16 deletions(-)

diff --git a/tests/run-getsrc-die.sh b/tests/run-getsrc-die.sh
index 54c7ad8c..6740e5d9 100755
--- a/tests/run-getsrc-die.sh
+++ b/tests/run-getsrc-die.sh
@@ -22,23 +22,17 @@
 # which uses dwfl_module_getsrc. This test uses dwarf_addrdie and
 # dwarf_getsrc_die
 testfiles testfile testfile-inlines testfile-lex-inlines
-tempfiles testfile-no-aranges testfile-inlines-no-aranges
-tempfiles testfile-lex-inlines-no-aranges good.out getsrc_die.out
+tempfiles testfile-no-aranges testfile-inlines-no-aranges getsrc_die.out
+tempfiles testfile-lex-inlines-no-aranges good1.out good2.out good3.out
 
-# Each test should also pass with no .debug_aranges present.
-objcopy --remove-section .debug_aranges testfile testfile-no-aranges
-objcopy --remove-section .debug_aranges testfile-inlines testfile-inlines-no-aranges
-objcopy --remove-section .debug_aranges testfile-lex-inlines testfile-lex-inlines-no-aranges
-
-cat > good.out <<\EOF
+cat > good1.out <<\EOF
 /home/drepper/gnu/new-bu/build/ttt/f.c:3
 /home/drepper/gnu/new-bu/build/ttt/b.c:4
 EOF
 
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile 0x08048468 0x0804845c
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-no-aranges 0x08048468 0x0804845c
+cat good1.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile 0x08048468 0x0804845c
 
-cat > good.out <<\EOF
+cat > good2.out <<\EOF
 /tmp/x.cpp:5
 /tmp/x.cpp:6
 /tmp/x.cpp:10
@@ -51,17 +45,27 @@ cat > good.out <<\EOF
 /tmp/x.cpp:5
 EOF
 
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines-no-aranges 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
+cat good2.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
 
-cat > good.out <<\EOF
+cat > good3.out <<\EOF
 /tmp/x.cpp:5
 /tmp/x.cpp:5
 /tmp/x.cpp:5
 /tmp/x.cpp:5
 EOF
 
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines-no-aranges 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
+cat good3.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
+
+# Each test should also pass with no .debug_aranges present.  If objcopy cannot
+# strip the testfiles then skip the remaining tests.
+objcopy --remove-section .debug_aranges testfile testfile-no-aranges || exit 0
+objcopy --remove-section .debug_aranges testfile-inlines testfile-inlines-no-aranges || exit 0
+objcopy --remove-section .debug_aranges testfile-lex-inlines testfile-lex-inlines-no-aranges || exit 0
+
+cat good1.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-no-aranges 0x08048468 0x0804845c
+
+cat good2.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines-no-aranges 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
+
+cat good3.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines-no-aranges 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
 
 exit 0
-- 
2.43.0


                 reply	other threads:[~2024-03-01  4:13 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240301041344.153389-1-amerey@redhat.com \
    --to=amerey@redhat.com \
    --cc=elfutils-devel@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).